import { getPhoneList, operateAdd, getOperateId, phoneedit, operatedel } from '@/api/phoneconfig'

const phoneconfig = {

  actions: {
    GetPhoneList({ commit }, data) { // 根据条件获取所有的角色列表
      return new Promise((resolve, reject) => {
        getPhoneList(data).then(response => {
          resolve(response)
        }).catch((err) => {
          reject(err)
        })
      })
    },
    OperateAdd({ commit }, data) { // 添加电话
      return new Promise((resolve, reject) => {
        operateAdd(data).then(response => {
          resolve(response)
        }).catch((err) => {
          reject(err)
        })
      })
    },
    GetOperateId({ commit }, data) { // 根据条件获取所有的角色列表
      return new Promise((resolve, reject) => {
        getOperateId(data).then(response => {
          resolve(response)
        }).catch((err) => {
          reject(err)
        })
      })
    },
    Phoneedit({ commit }, data) { // 根据条件获取所有的角色列表
      return new Promise((resolve, reject) => {
        phoneedit(data).then(response => {
          resolve(response)
        }).catch((err) => {
          reject(err)
        })
      })
    },
    Operatedel({ commit }, data) { // 根据条件获取所有的角色列表
      return new Promise((resolve, reject) => {
        operatedel(data).then(response => {
          resolve(response)
        }).catch((err) => {
          reject(err)
        })
      })
    }
  }
}
export default phoneconfig
